package cn.nosum.framework.mvc.v4.servlet;

import java.io.File;


public class ViewResolver {
    private File templateRootDir;
    public ViewResolver(String templateRoot) {
        String templateRootPath = this.getClass().getClassLoader().getResource(templateRoot).getFile();
        templateRootDir = new File(templateRootPath);
    }

    public View resolveViewName(String viewName){
        if(null == viewName || "".equals(viewName.trim())){return null;}
        String DEFAULT_TEMPLATE_SUFFIX = ".html";
        viewName = viewName.endsWith(DEFAULT_TEMPLATE_SUFFIX)? viewName : (viewName + DEFAULT_TEMPLATE_SUFFIX);
        File templateFile = new File((templateRootDir.getPath() + "/" + viewName).replaceAll("/+","/"));
        return new View(templateFile);
    }

}
